TF_ES< STANDARD, KEYS, ALG_INFO > Class Template Reference

Trapdoor Function Based Encryption Scheme. More...

`#include <pubkey.h>`

Inheritance diagram for TF_ES< STANDARD, KEYS, ALG_INFO >:

## Public Types

typedef STANDARD | Standard
| see EncryptionStandard for a list of standards
typedef TF_CryptoSchemeOptions < ALG_INFO, KEYS, MessageEncodingMethod > | SchemeOptions
typedef PK_FinalTemplate < TF_DecryptorImpl < SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate < TF_EncryptorImpl < SchemeOptions > > | Encryptor
| implements PK_Encryptor interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class KEYS, class ALG_INFO>
class TF_ES< STANDARD, KEYS, ALG_INFO >

Trapdoor Function Based Encryption Scheme.

Definition at line 1603 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h